<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>array to list</title>
</head>

<body>
    <div id='container'></div>
    <p id='timer-text'> Список исчезнет через <span id='timer'>10</span> сек</p>
    <script>
        const array = ['Kiev', 'Dnepr', 'Donetsk', 'Luhansk', 'Kharkiv', 'Odessa', 'Lviv'];

        const listContanier = document.getElementById("container");

        createList(array, listContanier);

        function createList(arr, container) {
            const listElements = arr.map(item => `<li>${item}</li>`);
            
            container.innerHTML = listElements.join('')
        }


        function timer() {
            const time = document.getElementById('timer');
            const timerText = document.getElementById('timer-text');
            time.innerHTML--;
            if (time.innerHTML == 0) {
                listContanier.remove();
                time.remove();
                timerText.remove();
            } else {
                setTimeout(timer, 1000);
            }
        }
        setTimeout(timer, 1000);

    </script>
</body>

</html>